<?php

namespace Drupal\graphql_vertex_ai\GraphQL\Resolver;

use Drupal\graphql\GraphQL\Execution\FieldContext;
use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\GraphQL\Resolver\ResolverInterface;
use Drupal\graphql_vertex_ai\GraphQL\ASTNodeQuery;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * Resolves the resolve info which isn't available via field context (protected)
 */
class ASTContext implements ResolverInterface {

  /**
   * {@inheritdoc}
   */
  public function resolve($value, $args, ResolveContext $context, ResolveInfo $info, FieldContext $field) {
    return new ASTNodeQuery($info->fieldNodes[0]);
  }

}
